# Doozer

Doozer is a simple fixture generation library/plugin that handles all the annoying id management, and association building, allowing you to focus on crafting meaningful test fixtures.

See docs/readme.html for more...

# Notes

Use a syntax more like this: (?)


doozer :bob, as=>:nancy do

  fields {
    id
    name
    age
    stuff = "STUFF"
    created_on = Time.now
  }

  children :belong_to
  
  on :generate { |atts|
    atts.user_id = 10
  }

end



